package swtpl.marsrover.map;

/** All states used in a map. */
public enum MapStateEnum {
	/** QuadTree internal */
	COMPLEX(-1),
	/** Field unexplored */
	UNKNOWN(0),
	/** Field is empty */
	EMPTY(1),
	BOULDER(2),
	CRATER(3),
	MARTIAN(4),
	HOMEBASE(5);
	private final int mval;
	MapStateEnum(int val) {
		mval = val;
	}
	public int value() {
		return mval;
	}
}
